Skip to main content
POST
https://api.dintero.com/v1/
/
accounts
/
{aid}
/
products
/
catalogs
/
{catalog_id}
/
products
Create new product
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/products/catalogs/{catalog_id}/products \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "deleted_at": "2023-11-07T05:31:56Z",
  "product_name": "Stablestol",
  "description": "Stablestol for utendørsbruk",
  "is_virtual_product": false,
  "unit_gross_price": 10900,
  "unit": "stk",
  "currency": "NOK",
  "starting_at": "2023-11-07T05:31:56Z",
  "stopping_at": "2023-11-07T05:31:56Z",
  "dimension": {
    "color": "<string>",
    "size": "<string>",
    "style": "<string>",
    "config": "<string>",
    "variant": "<string>"
  },
  "images": [
    {
      "href": "https://example.dintero.com/c/photos/2018/6_20_thumbnail_image.png",
      "rel": "thumbnail_image",
      "caption": "Image of current discount"
    },
    {
      "href": "https://example.dintero.com/c/photos/2018/6_20_medium_image.png",
      "rel": "medium_image"
    }
  ],
  "locations": [
    {
      "location_id": "SC_Oslo",
      "location_name": "SuperChain Oslo",
      "is_available_for_shipping": false,
      "is_available_for_pickup": true,
      "number_of_items_in_storage": 15
    },
    {
      "location_id": "SC_web",
      "location_name": "SuperChain Webshop",
      "is_available_for_shipping": true,
      "is_available_for_pickup": false,
      "number_of_items_in_storage": 500
    }
  ],
  "product_id": "Stol22",
  "catalog_id": "S23",
  "catalog_name": "Sommer",
  "groups": [
    {
      "group_id": "B1",
      "group_name": "Møbel"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
catalog_id
string
required

An id that uniquely identifies the catalog. (must not have trailing or leading spaces)

Maximum string length: 255

Body

application/json

product to create

product_name
string

The products name which is shown to customers

Example:

"Stablestol"

description
string
Example:

"Stablestol for utendørsbruk"

is_virtual_product
boolean
default:false
unit_gross_price
integer
Example:

10900

unit
string

Unit type

Example:

"stk"

currency
string

The three-character ISO-4217 currency. https://en.wikipedia.org/wiki/ISO_4217

Example:

"NOK"

starting_at
string<date-time>

The product will not be visible until this time

stopping_at
string<date-time>

The product will not be visible after this time

dimension
object

Identify item attributes, such as size and color

images
object[]

Links to images of product

Example:
[
{
"href": "https://example.dintero.com/c/photos/2018/6_20_thumbnail_image.png",
"rel": "thumbnail_image",
"caption": "Image of current discount"
},
{
"href": "https://example.dintero.com/c/photos/2018/6_20_medium_image.png",
"rel": "medium_image"
}
]
locations
object[]

All locations connected to the product

Example:
[
{
"location_id": "SC_Oslo",
"location_name": "SuperChain Oslo",
"is_available_for_shipping": false,
"is_available_for_pickup": true,
"number_of_items_in_storage": 15
},
{
"location_id": "SC_web",
"location_name": "SuperChain Webshop",
"is_available_for_shipping": true,
"is_available_for_pickup": false,
"number_of_items_in_storage": 500
}
]
product_id
string

The id to define the product. An auto-generated product_id will be created if no product_id is provided

Example:

"Stol22"

groups
object[]

Array containing relevant product groups and sub-groups to be upserted. New groups will be inserted, existing groups will be updated and deleted groups will be revived.

Example:
[
{ "id": "B234", "name": "Stol" },
{ "id": "B1", "name": "Møbel" }
]

Response

Product created

id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

deleted_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

deleted_at
string<date-time>
read-only
product_name
string

The products name which is shown to customers

Example:

"Stablestol"

description
string
Example:

"Stablestol for utendørsbruk"

is_virtual_product
boolean
default:false
unit_gross_price
integer
Example:

10900

unit
string

Unit type

Example:

"stk"

currency
string

The three-character ISO-4217 currency. https://en.wikipedia.org/wiki/ISO_4217

Example:

"NOK"

starting_at
string<date-time>

The product will not be visible until this time

stopping_at
string<date-time>

The product will not be visible after this time

dimension
object

Identify item attributes, such as size and color

images
object[]

Links to images of product

Example:
[
{
"href": "https://example.dintero.com/c/photos/2018/6_20_thumbnail_image.png",
"rel": "thumbnail_image",
"caption": "Image of current discount"
},
{
"href": "https://example.dintero.com/c/photos/2018/6_20_medium_image.png",
"rel": "medium_image"
}
]
locations
object[]

All locations connected to the product

Example:
[
{
"location_id": "SC_Oslo",
"location_name": "SuperChain Oslo",
"is_available_for_shipping": false,
"is_available_for_pickup": true,
"number_of_items_in_storage": 15
},
{
"location_id": "SC_web",
"location_name": "SuperChain Webshop",
"is_available_for_shipping": true,
"is_available_for_pickup": false,
"number_of_items_in_storage": 500
}
]
product_id
string
read-only

The id to define the product. An auto-generated product_id will be created if no product_id is provided

Example:

"Stol22"

catalog_id
string

The id to define which catalog the product is a part of. An auto-generated ID will be created if not provided

Example:

"S23"

catalog_name
string
read-only

Name of corresponding catalog

Example:

"Sommer"

groups
object[]